Bug 1762327 - imagefactory-plugins-EC2 fails to install in Fedora rawhide: retired python-ipaddress, euca2ools
Summary: imagefactory-plugins-EC2 fails to install in Fedora rawhide: retired python-i...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: imagefactory-plugins
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ian McLeod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2FTBI F32FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-10-16 14:33 UTC by Miro Hrončok
Modified: 2020-02-08 00:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-08 00:07:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-10-16 14:33:22 UTC
imagefactory-plugins-EC2-1.1.13-0.20190528024256gita117084.fc31.noarch fails to install in Fedora rawhide:

  package euca2ools-3.4.1-8.fc31.noarch requires python2-requests, but none of the providers can be installed
  package euca2ools-3.4.1-8.fc31.noarch requires python2.7dist(requests), but none of the providers can be installed
  package imagefactory-plugins-EC2-1.1.13-0.20190528024256gita117084.fc31.noarch requires euca2ools, but none of the providers can be installed
  package python2-requests-2.22.0-6.fc32.noarch requires (python2.7dist(urllib3) < 1.25 or python2.7dist(urllib3) >= 1.25.0), but none of the providers can be installed
  package python2-requests-2.22.0-6.fc32.noarch requires (python2.7dist(urllib3) < 1.25.1 or python2.7dist(urllib3) >= 1.25.1.0), but none of the providers can be installed
  package python2-requests-2.22.0-6.fc32.noarch requires python2-urllib3 >= 1.21.1, but none of the providers can be installed
  package python2-requests-2.22.0-6.fc32.noarch requires python2.7dist(urllib3) >= 1.21.1, but none of the providers can be installed
  package python2-requests-2.22.0-6.fc32.noarch requires python2.7dist(urllib3) < 1.26, but none of the providers can be installed
  nothing provides python2-ipaddress needed by python2-urllib3-1.25.3-6.fc32.noarch

This is caused by python-ipaddress being retired after it was orphan for 6+ weeks.
Note that euca2ools is orphan for 4 weeks already.

Please drop the dependency. Thanks

Comment 1 Miro Hrončok 2019-10-23 06:00:16 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 2 Miro Hrončok 2019-10-23 23:07:58 UTC
euca2ools was retired

Comment 3 Miro Hrončok 2019-10-30 10:43:26 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 4 Miro Hrončok 2019-11-06 19:19:38 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 5 Miro Hrončok 2019-11-13 08:14:39 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 6 Miro Hrončok 2019-11-13 19:43:42 UTC
The time to orphan the package is now. I've sent a direct e-mail to Ian about this because last time this happened, there was some pushback against orphaning such important package.

Comment 7 Miro Hrončok 2019-11-21 10:05:16 UTC
Another week has passed without a reply. CCing Kevin, who I see also commits to this package.

Comment 8 Kevin Fenzi 2019-11-26 23:15:26 UTC
So, I am not sure what upstream intends here, but yeah, without euca2ools that plugin cannot possibly work. 

I can just drop the dep now and we can try and find out if upstream is going to drop the plugin. 

Or I could just drop the plugin in the fedora package... but not sure where to obsolete it. Any thoughts?

Comment 9 Miro Hrončok 2019-11-27 06:50:54 UTC
> Or I could just drop the plugin in the fedora package... but not sure where to obsolete it. Any thoughts?

I'd obsolete it from the main package.

Comment 10 Ben Cotton 2019-11-27 14:21:29 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Ben Cotton 2019-11-27 15:55:39 UTC
This bug was accidentally closed due to a query error. Reopening.

Comment 12 Miro Hrončok 2020-01-20 18:47:44 UTC
This is still the case.

Comment 13 Petr Viktorin 2020-02-04 14:20:25 UTC
Kevin, could you do this? Or should we contact Ian off Bugzilla, or start the nonresponsive packager process?

Comment 14 Kevin Fenzi 2020-02-08 00:07:17 UTC
Pushed in imagefactory-plugins-1.1.15-3.fc32

Comment 15 Miro Hrončok 2020-02-08 00:19:50 UTC
Thank You.


Note You need to log in before you can comment on or make changes to this bug.